app:
  description: ''
  icon: four_leaf_clover
  icon_background: '#FFEAD5'
  mode: workflow
  name: 情報収集
  use_icon_as_answer_icon: false
kind: app
version: 0.1.5
workflow:
  conversation_variables: []
  environment_variables: []
  features:
    file_upload:
      allowed_file_extensions:
      - .JPG
      - .JPEG
      - .PNG
      - .GIF
      - .WEBP
      - .SVG
      allowed_file_types:
      - image
      allowed_file_upload_methods:
      - local_file
      - remote_url
      enabled: false
      fileUploadConfig:
        audio_file_size_limit: 50
        batch_count_limit: 5
        file_size_limit: 15
        image_file_size_limit: 10
        video_file_size_limit: 100
        workflow_file_upload_limit: 10
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
      number_limits: 3
    opening_statement: ''
    retriever_resource:
      enabled: true
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        isInIteration: false
        sourceType: start
        targetType: tool
      id: 1734695650382-source-1734695818632-target
      source: '1734695650382'
      sourceHandle: source
      target: '1734695818632'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: tool
        targetType: tool
      id: 1734695818632-source-1734695975285-target
      source: '1734695818632'
      sourceHandle: source
      target: '1734695975285'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: tool
        targetType: variable-aggregator
      id: 1734695975285-source-1734696080655-target
      source: '1734695975285'
      sourceHandle: source
      target: '1734696080655'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: variable-aggregator
        targetType: end
      id: 1734696080655-source-1734696158514-target
      source: '1734696080655'
      sourceHandle: source
      target: '1734696158514'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: tool
        targetType: tool
      id: 1734695818632-source-1734696240247-target
      source: '1734695818632'
      sourceHandle: source
      target: '1734696240247'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: tool
        targetType: end
      id: 1734696240247-source-1734696158514-target
      source: '1734696240247'
      sourceHandle: source
      target: '1734696158514'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: tool
        targetType: variable-aggregator
      id: 1734695818632-fail-branch-1734696080655-target
      selected: false
      source: '1734695818632'
      sourceHandle: fail-branch
      target: '1734696080655'
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        desc: ''
        selected: false
        title: 開始
        type: start
        variables:
        - label: query
          max_length: 48
          options: []
          required: true
          type: text-input
          variable: query
      height: 90
      id: '1734695650382'
      position:
        x: 30
        y: 380
      positionAbsolute:
        x: 30
        y: 380
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        error_strategy: fail-branch
        provider_id: perplexity
        provider_name: perplexity
        provider_type: builtin
        selected: false
        title: Perplexity Search
        tool_configurations:
          frequency_penalty: 1
          max_tokens: 4096
          model: llama-3.1-sonar-small-128k-online
          presence_penalty: 0
          return_citations: 1
          search_domain_filter: ''
          search_recency_filter: month
          temperature: 0.7
          top_k: 5
          top_p: 1
        tool_label: Perplexity Search
        tool_name: perplexity
        tool_parameters:
          query:
            type: mixed
            value: '{{#1734695650382.query#}}"の生成AI活用事例をまとめて（もしあればDifyの活用事例がいいな）"'
        type: tool
      height: 360
      id: '1734695818632'
      position:
        x: 334
        y: 380
      positionAbsolute:
        x: 334
        y: 380
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        provider_id: json_process
        provider_name: json_process
        provider_type: builtin
        selected: false
        title: content
        tool_configurations:
          ensure_ascii: 1
        tool_label: JSON Parse
        tool_name: parse
        tool_parameters:
          content:
            type: mixed
            value: '{{#1734695818632.text#}}'
          json_filter:
            type: mixed
            value: content
        type: tool
      height: 90
      id: '1734695975285'
      position:
        x: 638
        y: 380
      positionAbsolute:
        x: 638
        y: 380
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        output_type: string
        selected: false
        title: 変数集約器
        type: variable-aggregator
        variables:
        - - '1734695975285'
          - text
        - - '1734695818632'
          - error_message
      height: 130
      id: '1734696080655'
      position:
        x: 942
        y: 380
      positionAbsolute:
        x: 942
        y: 380
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1734696080655'
          - output
          variable: content
        - value_selector:
          - '1734696240247'
          - text
          variable: citations
        selected: true
        title: 終了
        type: end
      height: 116
      id: '1734696158514'
      position:
        x: 1246
        y: 380
      positionAbsolute:
        x: 1246
        y: 380
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        provider_id: json_process
        provider_name: json_process
        provider_type: builtin
        selected: false
        title: citations
        tool_configurations:
          ensure_ascii: 1
        tool_label: JSON Parse
        tool_name: parse
        tool_parameters:
          content:
            type: mixed
            value: '{{#1734695818632.text#}}'
          json_filter:
            type: mixed
            value: citations
        type: tool
      height: 90
      id: '1734696240247'
      position:
        x: 638
        y: 528.1326594895542
      positionAbsolute:
        x: 638
        y: 528.1326594895542
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    viewport:
      x: -234.35584312576782
      y: -272.1529044016263
      zoom: 0.879481026701087
